@storageninja said in Looking for firmware: @nerdydad said in Looking for firmware: Looks like I am on the latest version of ESXi that will work with this datastore. You using VMFS3 or some nonsense? VMFS6